[MB-7411] DOC/Install : explain that user needs to delete the data files when an older version was presen Created: 13/Dec/12  Updated: 13/Dec/12  Resolved: 13/Dec/12

Status: Resolved
Project: Couchbase Server
Component/s: documentation
Affects Version/s: 2.0
Fix Version/s: None
Security Level: Public

Type: Improvement Priority: Minor
Reporter: Tug Grall (Inactive) Assignee: MC Brown (Inactive)
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment: Generic


 Description   
It is important to specify in the documentation that it is necessary to delete the data file before installing a new version. (and a pointer to the backup/restore section if necessary)

This is part of the OSX Readme file but this information is not visible in Linux and Windows.


 Comments   
Comment by Tug Grall (Inactive) [ 13/Dec/12 ]
This is coming from http://www.couchbase.com/forums/thread/could-not-install-couchbase-2-0-release-after-uninstalling-1-8
Comment by MC Brown (Inactive) [ 13/Dec/12 ]
We already have instructions for fully removing and uninstalling Couchbase from your machine:

http://www.couchbase.com/docs/couchbase-manual-2.0/couchbase-uninstalling.html

Since deleting 1.8 and installing 2.0 is not really an upgrade, I'm not sure putting this information into the upgrade instructions is the right place for it.
Comment by Tug Grall (Inactive) [ 13/Dec/12 ]
Do you think we can add a small paragraph like the following one in the installation section:
{quote}
Note:
If you are installing the product on a machine on which a previous/older version of Couchbase has beed installed you should either do:
* an upgrade -> pointer to the upgrade
* uninstall the current version before installing the new one -> pointer to uninstall
{quote}
Comment by MC Brown (Inactive) [ 13/Dec/12 ]
Done. Rebuilding now.
Generated at Tue Nov 25 14:58:11 CST 2014 using JIRA 5.2.4#845-sha1:c9f4cc41abe72fb236945343a1f485c2c844dac9.